# SolrQuery::setHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexPattern — Specify the regular expression for fragmenting

### Beschreibung

public SolrQuery::setHighlightRegexPattern(string `$value`): SolrQuery

Specifies the regular expression for fragmenting. This could be used to extract sentences

### Parameter-Liste

`value`

  The regular expression for fragmenting. This could be used to extract sentences

### Rückgabewerte

Returns the current SolrQuery object, if the return value is used.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open